commit:     16b1c39653e4490cf7964a36894b73b206489981
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 17 18:18:08 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 18:18:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16b1c396

dev-python/fonttools: add 4.36.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/fonttools/Manifest                |  1 +
 dev-python/fonttools/fonttools-4.36.0.ebuild | 58 ++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index c6c76c3b8428..0f247777d7c9 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,3 +1,4 @@
 DIST fonttools-4.33.3.tar.gz 3526937 BLAKE2B 
26539f76ac1919e572633695aca7a95f7f715ef18bd7d36de22e5491124ce36d3907f1e7b167d23685bca437f0bf7cf99159cd918ab2b1a450b716166d30fc37
 SHA512 
403e19cda46d67dea9f517e58c2e95ed04c53e6832919d85df9db4538431252e5ec4554e22410fd45cba634998de1576cf55d50f56de5ad497a108dcec4ed56a
 DIST fonttools-4.34.4.gh.tar.gz 3555013 BLAKE2B 
0e4149321cea89fb9ec63a52a127f657421d2902f9d9ec72a918bd7230ce5c9117f876bb1fe0b6dfa986b774a5929f41ba8ff868462f240669f8b2067d4bcf39
 SHA512 
9c6ea7d6e9a9d74d2e705f7966853709ee834195f682bf595f932be2eab8fb728cf69b83680e5b95a308b40b1c17a7d1003efade9473d3f6d8e744ecfd1e2c62
 DIST fonttools-4.35.0.gh.tar.gz 3560204 BLAKE2B 
d79bbd2e4cca6fc5dd9fd301d29c10e2ff07348be6b57f00744b23ed4b00bb5e10b2415b83477827c0c2dc65262f578c6b6dd90de1243d84d4e83e46537ea804
 SHA512 
d7919eae04faa61fd3ef8996349239db2a0d5dbdd743dd41a43d1664f0524c0554d314a6d5d0c9aa4468badc47018843b2810ea61996c1bb56906ecd3bb9a4bf
+DIST fonttools-4.36.0.gh.tar.gz 3567028 BLAKE2B 
45c2481680a314e101ed3a14915585b503a15853937846a5ceadd15e524f053663e0c6876bb105b0f2593ac790029da48cbede8139be98809764e5a6e3e2b11a
 SHA512 
48a07548f72e9818292c1552675fce94b8ecb876172cd7adb429426c1d987f54a6e0482b7847e48c3b9854821567023cce402c613488d9e17277eff8a615d3c2

diff --git a/dev-python/fonttools/fonttools-4.36.0.ebuild 
b/dev-python/fonttools/fonttools-4.36.0.ebuild
new file mode 100644
index 000000000000..0de6a64f356a
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.36.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="https://github.com/fonttools/fonttools/";
+SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               app-arch/brotli[python,${PYTHON_USEDEP}]
+               app-arch/zopfli
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # When dev-python/pytest-shutil is installed, we get weird import 
errors.
+       # This is due to incomplete nesting in the Tests/ tree:
+       #
+       #   Tests/feaLib/__init__.py
+       #   Tests/ufoLib/__init__.py
+       #   Tests/svgLib/path/__init__.py
+       #   Tests/otlLib/__init__.py
+       #   Tests/varLib/__init__.py
+       #
+       # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+       touch Tests/svgLib/__init__.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+src_configure() {
+       export FONTTOOLS_WITH_CYTHON=1
+}
+
+src_test() {
+       # virtualx used when matplotlib is installed causing plot module tests 
to run
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       epytest Tests fontTools || die "Tests failed with ${EPYTHON}"
+}

Reply via email to